OpenNMS API 1.2.9

## org.opennms.netmgt.xml.eventconf
Class Varbind

    java.lang.Object
      org.opennms.netmgt.xml.eventconf.Varbind

All Implemented Interfaces:
  java.io.Serializable

public class Varbind
extends java.lang.Object
implements java.io.Serializable

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private boolean` `_has_vbnumber` keeps track of state for field: _vbnumber
`private int` `_vbnumber`
`private java.util.ArrayList` `_vbvalueList`
`private java.util.Vector` `propertyChangeListeners`

Constructor Summary
`Varbind()`

Method Summary
`void` `addPropertyChangeListener(java.beans.PropertyChangeListener pcl)` Registers a PropertyChangeListener with this class.
`void` `addVbvalue(int index, java.lang.String vVbvalue)`
`void` `addVbvalue(java.lang.String vVbvalue)`
`void` `clearVbvalue()`
`java.util.Enumeration` `enumerateVbvalue()`
`boolean` `equals(java.lang.Object obj)` Note: hashCode() has not been overriden
`int` `getVbnumber()` Returns the value of field 'vbnumber'.
`java.lang.String[]` `getVbvalue()`
`java.lang.String` `getVbvalue(int index)`
`java.util.Collection` `getVbvalueCollection()`
`int` `getVbvalueCount()`
`boolean` `hasVbnumber()`
`boolean` `isValid()`
`void` `marshal(org.xml.sax.DocumentHandler handler)`
`void` `marshal(java.io.Writer out)`
`protected void` `notifyPropertyChangeListeners(java.lang.String fieldName, java.lang.Object oldValue, java.lang.Object newValue)` Notifies all registered PropertyChangeListeners when a bound property's value changes.
`boolean` `removePropertyChangeListener(java.beans.PropertyChangeListener pcl)` Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.
`boolean` `removeVbvalue(java.lang.String vVbvalue)`
`void` `setVbnumber(int vbnumber)` Sets the value of field 'vbnumber'.
`void` `setVbvalue(int index, java.lang.String vVbvalue)`
`void` `setVbvalue(java.lang.String[] vbvalueArray)`
`void` `setVbvalueCollection(java.util.Collection vVbvalue)`
`static Varbind` `unmarshal(java.io.Reader reader)`
`void` `validate()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _vbnumber

    private int _vbnumber

### _has_vbnumber

    private boolean _has_vbnumber

  keeps track of state for field: _vbnumber

### _vbvalueList

    private java.util.ArrayList _vbvalueList

### propertyChangeListeners

    private java.util.Vector propertyChangeListeners

Constructor Detail

### Varbind

    public Varbind()

Method Detail

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Registers a PropertyChangeListener with this class.

  Parameters:
    `pcl` - The PropertyChangeListener to register.

### addVbvalue

    public void addVbvalue(java.lang.String vVbvalue)
                    throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vVbvalue` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addVbvalue

    public void addVbvalue(int index,
                           java.lang.String vVbvalue)
                    throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vVbvalue` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### clearVbvalue

    public void clearVbvalue()

### enumerateVbvalue

    public java.util.Enumeration enumerateVbvalue()

### equals

    public boolean equals(java.lang.Object obj)

  Note: hashCode() has not been overriden

  Parameters:
    `obj` -

### getVbnumber

    public int getVbnumber()

  Returns the value of field 'vbnumber'.

  Returns:
    the value of field 'vbnumber'.

### getVbvalue

    public java.lang.String getVbvalue(int index)
                                throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getVbvalue

    public java.lang.String[] getVbvalue()

### getVbvalueCollection

    public java.util.Collection getVbvalueCollection()

### getVbvalueCount

    public int getVbvalueCount()

### hasVbnumber

    public boolean hasVbnumber()

### isValid

    public boolean isValid()

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### marshal

    public void marshal(org.xml.sax.DocumentHandler handler)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### notifyPropertyChangeListeners

    protected void notifyPropertyChangeListeners(java.lang.String fieldName,
                                                 java.lang.Object oldValue,
                                                 java.lang.Object newValue)

  Notifies all registered PropertyChangeListeners when a bound property's value changes.

  Parameters:
    `fieldName` - the name of the property that has changed.
    `newValue` - the new value of the property.
    `oldValue` - the old value of the property.

### removePropertyChangeListener

    public boolean removePropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.

  Parameters:
    `pcl` - The PropertyChangeListener to remove.
  Returns:
    true if the given PropertyChangeListener was removed.

### removeVbvalue

    public boolean removeVbvalue(java.lang.String vVbvalue)

  Parameters:
    `vVbvalue` -

### setVbnumber

    public void setVbnumber(int vbnumber)

  Sets the value of field 'vbnumber'.

  Parameters:
    `vbnumber` - the value of field 'vbnumber'.

### setVbvalue

    public void setVbvalue(int index,
                           java.lang.String vVbvalue)
                    throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vVbvalue` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setVbvalue

    public void setVbvalue(java.lang.String[] vbvalueArray)

  Parameters:
    `vbvalueArray` -

### setVbvalueCollection

    public void setVbvalueCollection(java.util.Collection vVbvalue)

  Parameters:
    `vVbvalue` -

### unmarshal

    public static Varbind unmarshal(java.io.Reader reader)
                             throws org.exolab.castor.xml.MarshalException,
                                    org.exolab.castor.xml.ValidationException

  Parameters:
    `reader` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.